askwin
Arial
r New
NORTH AMERICAN SOFTWARE GMBH
Uhdestr. 40, 81477 M
nchen
(089/79097-0 Fax 089/7900258
Hinweise zur Umstellung von 
askSam DOS auf askSam Windows
Willkommen bei askSam f
r Windows - einer vollkommen 
berarbeiteten Version, 
speziell auf die Windows Umgebung angepa
Dieses Dokument soll Ihnen bei der Umstellung von DOS auf Windows helfen. Wir 
haben versucht, die m
glicherweise auftretenden Fragen zu beantworten. Sollten 
jedoch immer noch Probleme oder Fragen auftreten, k
nnen sie jederzeit Kontakt 
mit unserem technischen Support aufnehmen.
Wie soll ich starten ?
Lesen Sie zu Beginn Ihrer Arbeit mit askSam f
r Windows dieses Dokument 
sorgf
ltig durch. Manche der Informationen m
gen Ihnen momentan nicht wichtig 
erscheinen, vieles jedoch ist sicherlich auch f
r Sie von gro
em Nutzen.
Falls Sie mit dem Umgang von Windows bereits vertraut sind, werden Sie sich in 
askSam f
r Windows schnell und leicht zurechtfinden.
Sollte askSam Ihre erste Windows-Applikation sein, empfehlen wir Ihnen zuerst die 
re des Windows-Handbuchs. Dies wird Ihnen helfen, Begriffe wie Symbol, 
Tastenk
rzel und Mausklick besser zu verstehen.
Nachdem Sie nun mit Windows vertraut sind, k
nnen Sie das Erste-Schritte-
Handbuch durcharbeiten. Dieses Lern- und Arbeitsbuch ist in zwei Teile gegliedert.
Teil 1: Arbeiten mit strukturierten Daten
Teil 2: Umgang mit unstrukturierten Daten und Flie
texten
Um eine optimale Ausnutzung von askSam zu erreichen, sollten Sie beide Teile 
sorgf
ltig durcharbeiten.
Das Benutzerhandbuch und die askSam Hilfe enthalten detailliertere Informationen 
zu den einzelnen Funktionen. Vordefinierte Schablonendateien liefern bereits die 
Masken und Reports f
r viele h
ufig verwendete Applikationen. Eine Liste dieser 
Schablonendateien sowie eine kurze Beschreibung finden Sie in der Datei 
README.ASK.
Die neue Benutzeroberfl
Bei der Entwicklung askSams haben wir versucht, uns genau an die Konventionen 
von Windows zu halten. Aus diesem Grund mu
ten die aus der DOS-Version 
bekannten Men
s und Tastenkombinationen ge
ndert werden. Obwohl dies eine 
gewisse Umgew
hnung erfordert, glauben wir, da
 die Vorteile, die die graphische 
Benutzeroberfl
che bietet, dieses Manko bei weitem aufwiegt. Die neuen 
Pull-Down-Men
s von askSam f
r Windows sind besser organisiert, leichter 
verst
ndlich - vor allem f
r Neueinsteiger - und erm
glichen so ein leichtes Erlernen 
von askSam f
r Windows.
Das gleiche gilt nat
rlich auch f
r die Tastenkombinationen. Funktionen wie 
Ausschneiden und Einf
gen entsprechen jetzt dem Windows-Standard.
askSam f
r Windows verf
ber eine Befehlszeile (die in Ihrer Funktionalit
t der 
Abfragezeile in der DOS-Version entspricht). Diese Befehlszeile erm
glicht Ihnen 
einen einfachen und schnellen Weg der Suche. Durch Dr
cken der ESC-Taste 
gelangen Sie in die Befehlszeile. Sie k
nnen nun die Suchbegriffe eingeben und 
die Suche durch Dr
cken der Eingabetaste ausl
sen. Obwohl Sie f
r die 
Recherche in askSam f
r Windows keine Befehle ben
tigen, k
nnen Sie diese bei 
Bedarf 
ber die Befehlszeile direkt eingeben.
HINWEIS:
An der bekannten Befehlssprache wurden einigeVer
nderungen vorgenom-
men.Da diese Befehle f
r die Bedienung von askSam nicht ben
tigt werden, 
sind sie auch nicht dokumentiert. Im Dialogfeld OPTIONEN 
->VOREINSTELLUNGEN finden Sie die Optionen "Befehle f
r Dialog". Wenn 
Sie Befehle in der Befehlszeile eingeben wollen, k
nnen Sie sich 
ber diese 
Einstellung die bei Reports und Abfragen verwendeten Befehlskombinationen 
anzeigen lassen. Sehen Sie bitte den Anhang im Benutzerhandbuch.
Datei-Kompatibilit
t zwischen askSam DOS- und 
Windows-Dateien
Die in der DOS und Windows-Version verwendeten .ASK-Dateien sind sich zwar 
sehr 
hnlich, jedoch nicht identisch. Um die neuen Funktionen der Textverarbeitung, 
wie z.B. TrueType-Schriften, Formatierungen und 
hnliches, verwenden zu k
nnen, 
te das Dateiformat erweitert werden. Trotzdem ist ein Informationsaustausch 
zwischen den beiden Programmen m
glich. Die folgenden Abschnitte erkl
ren die
notwendigen Schritte f
r den Datentransfer:
Konvertierung von DOS zu Windows
Um eine DOS-Datei in der Windows-Version zu 
ffnen, w
hlen Sie den Men
punkt 
DATEI -> 
FFNEN. askSam f
r Windows erkennt automatisch, da
 es sich um 
eine DOS-Datei handelt. Sie werden nun gefragt, ob Sie die Datei in das neue 
Format konvertieren wollen.
Fall Sie NEIN w
hlen, wird die Datei nur zum Lesen ge
ffnet. Die Datei verbleibt im 
DOS-Format, Sie k
nnen jedoch s
mtliche Recherche-Funktionen der 
Windows-Version durchf
hren. 
Sollten Sie mit JA antworten, wird die Datei in das askSam f
r Windows Format 
konvertiert. Diese Konvertierung wird von einer anschlie
enden Reorganisation
begleitet. Es werden alle Daten, jedoch nicht Programme und Hypertextmen
konvertiert. Diese werden aus der Datei entfernt. Alle in der DOS-Datei definierten 
Eingabeschablonen werden in der Datei als Eingabemaske gespeichert. Ist die 
Datei erst einmal konvertiert, ist kein Zugriff 
ber DOS auf die Daten m
glich. Um 
die Informationen DOS wieder zug
nglich zu machen, m
ssen Sie die Dokumente 
aus Windows exportieren und in eine neue DOS-Datei importieren.
WICHTIG:
Wir raten Ihnen dringend, vor der Konvertierung in das Windows-Format
eine Sicherungskopie der DOS-Datei anzulegen.
F Anzahl der Datens
Der Datensatzz
hler in der DOS-Version z
hlt jede Bildschirmseite mit 20
Zeilen als Datensatz sowie alle Programme und Hypertextmen
Der Dokumentenz
hler in der Windows-Version reflektiert die Anzahl der
Dokumente in der Datei, unabh
ngig von deren L
Auf Grund dieser unterschiedlichen Z
hlweisen kann es vorkommen, da
nach der Konvertierung in das Windows-Format weniger Dokumente
(Datens
tze) vorhanden sind. Dies bedeutet aber nicht, da
 Daten
verloren gegangen sind.
Um die Verwirrung zw. Datensatz, Dokument und Flie
text zu vermeiden,
gibt es diese Unterscheidung in der Windows-Version nicht mehr. Ein
Dokument kann hier bis zu 16.000 Zeilen enthalten.
F Schriftarten
In askSam f
r Windows k
nnen Sie f
r jede neu zu erzeugende Datei eine
Schrift definieren. Bei der Konvertierung einer DOS-Datei wird diese
Standardschrift verwendet. Die Schrift kann unter dem Men
punkt OPTIONEN
-> VOREINSTELLUNGEN ausgew
hlt werden. Standardwert ist Courier New 
10 Punkt.
Jede askSam-Datei hat Ihre eigene Standard-Schrift f
r jedes Dokument in
dieser Datei. Die Schrift kann unter dem Men
punkt OPTIONEN -> DATEI
VOREINSTELLUNGEN definiert werden. Strukturierte Daten lassen sich 
leichter in einer Festschrift, z.B. Courier, bearbeiten, Flie
text ist in 
Proportionalschrift leichter zu lesen.
nder und Wortumbruch
Die DOS-Version von askSam erlaubt eine Zeilenl
nge von 80 Zeichen.
Obwohl die Windows-Version bis zu 255 Zeichen pro Zeile zul
t, ist die
Standard-Einstellung 72 Zeichen pro Zeile. Falls Sie eine DOS-Datei
importieren, bei der Sie die 80 Zeichen-Breite ausgenutzt haben, stehen
in der Windows-Datei 8 Zeichen 
ber den rechten Rand hinaus. Bei jedem
Bearbeitungsvorgang oder bei einer 
nderung werden diese 8 Buchstaben in
die n
chste Zeile gezogen.
Es gibt zwei Wege, dies zu verhindern:
ndern Sie die Schriftgr
e von Courier 10 auf Courier 9 Pkt. Diese
geringf
gige Schriftverkleinerung bewirkt, da
 der gesamte Text in die
Randeinstellungen pa
t. Sie k
nnen die Dateischrift 
ber den Men
punkt
OPTIONEN -> DATEI VOREINSTELLUNGEN durch klicken auf die 
Schaltfl
che "Schrift f
r die Datei" 
ndern.
2) Sie k
nnen den Standardwert f
r den rechten Rand 
ndern. BearbeitenSie 
hierzu die Datei ASKSAM.INI in Ihrem Windows-Verzeichnis und setzenSie 
den Wert "LineRightMargin=96" auf 104. Die ASKSAM.INI-Datei kann mit 
dem Notizblock oder jedem anderen Editierungsprogramm ver
ndert 
werden. Die 
nderung dieser Einstellung 
ndert den rechten Rand aller 
askSam-Dateien.Da die DOS-Version keinen Unterschied zwischen dem 
Ende einer Zeile und dem Ende eines Absatzes macht, findet beim Import 
kein Wortumbruch statt.
F  Programme und Hypertext-Men
Programme und Men
s wurden durch einen einfach zu benutzenden 
Report-Generator ersetzt und werden daher nicht aus der DOS-Datei 
importiert.
F Eingabeschablone / Eingabemaske
Die DOS-Version verf
ber bis zu 10 definierbaren Eingabeschablonen. 
Jede dieser Schablonen umfa
t maximal 20 Zeilen. Die Windows-Version hat 
nur eine Eingabemaske, deren L
nge jedoch bis zu 16.000 Zeilen betragen 
kann. Bei der Konvertierung einer DOS-Datei wird jede Eingabeschablone in 
die Eingabemaske 
bertragen. Wenn Sie mit Fixfeldern gearbeitet haben, 
wird das f
r die Positionen verwendete Fixfeldzeichen mit 
bertragen. 
Bearbeiten Sie bitte die Eingabemaske 
ber den Men
punkt BEARBEITEN 
-> EINGABEMASKE und entfernen Sie diese Fixfeldzeichen. Nach der 
Bearbeitung w
hlen Sie den Men
punkt erneut und speichern somit die 
nderung ab.
F  Exportieren der Informationen in das DOS-Format
Die Export-Funktion unter askSam f
r Windows erm
glicht Ihnen den direkten 
Export Ihrer Informationen in das SAM-Format. Diese exportierte Datei kann 
dann in eine askSam-DOS-Datei importiert werden. W
hlen Sie den 
punkt DATEI -> EXPORT. Sie haben dann die Auswahl,die gesamte 
Datei, das aktuelle Dokument, ein markiertes Dokument oder einen Report
exportieren. Nach der Selektion einer dieser Auswahlm
glichkeiten erscheint 
das Export-Dialogfeld. Sie k
nnen nun den Namen f
r die zu exportierende 
Datei angeben sowie das Dateiformat f
r den Export definieren. W
hlen Sie 
in diesem Fall "askSam f
r DOS". Sie k
nnen nun 
ber den Men
punkt 
EINLESEN in der DOS-Version diese Informationen importieren.
HINWEIS:
Die DOS-Version ist begrenzt auf 80 Zeichen pro Zeile. Sollten die 
importierten Textzeilen l
nger sein, findet automatisch ein Umbruch statt.
Eingabe von Informationen
Zur Eingabe von Informationen k
nnen Sie in askSam f
r Windows entweder den 
Modus "Feste Dateneingabe" verwenden oder die Textverarbeitung von askSam 
nutzen.Der Modus "Feste Dateneingabe" wurde f
r die Erfassung strukturierter 
Informationen entwickelt. Dieser Modus ist einfacher und flexibler als die 
Fixfeld-Methode in der DOS-Version. In der Festen Dateneingabe k
nnen Sie nur 
in Feldern Ihre Daten eintragen. Durch Dr
cken von TAB oder der 
EINGABETASTE gelangen Sie in das n
chste Feld. Der Modus kann 
ber den 
punkt DOK -> FESTE DATENEINGABE oder durch dr
cken von STRG+E 
ein- und ausgeschaltet werden. Ist der Modus aktiv, erscheint das Wort FEST in 
der Hinweiszeile.
Die askSam Textverarbeitung er
ffnet hervorragendeTextbearbeitungs-
glichkeiten f
r die Eingabe und Bearbeitung von Textinformationen. Im 
Textverarbeitungsmodus k
nnen Sie alle Formatierungsbefehle verwenden. Einige 
dieser Funktionen sind im Modus FESTE DATENEINGABE nicht verf
gbar.
Um im Text an bestimmte Stellen bei der Eingabe zu gelangen, k
nnen Sie im 
Textverarbeitungsmodus sogenannte StopCodes setzen. Durch Dr
cken der
F3-Taste springt askSam von StopCode zu StopCode und erm
glicht so die
Eingabe von Informationen an bestimmten Stellen im Text.
Anstatt, wie bisher, STRG+EINGABETASTE f
r die Speicherung eines
Datensatzes zu dr
cken, verwenden Sie jetzt STRG+S f
r Speichern. Das
Speichern eines Datensatzes ist aber nicht, wie in der DOS-Version, von
der L
schung des Bildschirms begleitet.
Suche
Alle Ihnen bekannten Suchfunktionen sind auch unter der askSam Windows
Version verf
gbar - der Vorteil, Sie m
ssen keine Befehle mehr lernen. Das 
Abfrage-Men
 enth
lt alle verschiedenen Suchm
glichkeiten.
r die schnelle und einfache Suche k
nnen Sie die Befehlszeile verwenden. 
cken Sie ESC, um in diese zu gelangen. Geben Sie nun den gesuchten Begriff 
oder Ausdruck ein und best
tigen Sie mit der Eingabetaste. Diese Funktionalit
entspricht im Prinzip der Abfrage-Zeile in der DOS-Version. Um nach einem 
Ausdruck zu suchen (z.B. J
rn Steinhauer), m
ssen Sie diesen in eckige Klammern 
einschlie
en (z.B. [J
rn Steinhauer]).
Bitte beachten Sie, da
 diese Klammern nur bei der Suche 
ber die Befehlszeile 
notwendig sind.
Geschwindigkeit
Bei der Programmierung von askSam f
r Windows wurde gro
er Wert darauf
gelegt, die hohe Suchgeschwindigkeit, durch die askSam ber
hmt geworden
ist, beizubehalten. Damit dies erreicht werden kann, werden Graphiken,
Formatierungen und Reports getrennt von den eigentlichen Informationen
abgelegt. Dies erm
glicht, da
 nur in den relevanten Daten gesucht wird. Seit der 
ersten Beta-Version haben wir die Geschwindigkeit noch betr
chtlich erh
ht und
sind nur noch geringf
gig langsamer als in der DOS-Version (bedingt durch die 
graphische Oberfl
che Windows). Bei Benchmark-Tests auf einem 486/33 
tigt die Windows-Version f
r das Durchsuchen einer 5,2 MB gro
en Datei 16 
Sekunden. Die DOS-Version schafft diesen Vorgang in 12 Sekunden. Wir glauben, 
 dieser geringf
gige Geschwindigkeitsunterschied im Vergleich zu den durch 
die Windows Version gebotenen Oberfl
chenkomfort, die Funktionalit
t und die 
einfache Bedienung nicht ins Gewicht f
Bei der Erstellung von Reports sind wir in der Windows-Version ebenfalls neue 
Wege gegangen. Bei der Erstellung eines Reports wird dieser in einem neuen 
askSam-Fenster gespeichert. Dies erm
glicht Ihnen unter anderem auch, sich frei 
im Report zu bewegen (etwas, was bei der DOS-Version immer noch gefordert 
wird). Da der Report erst intern im Speicher aufgebaut und ausgewertet wird, 
dauert es einen kleinen Moment, bevor er am Bildschirm erscheint.
Die Suchgeschwindigkeit h
ngt in der Windows-Version wesentlich st
von der Hardware ab als unter DOS. Zus
tzlicher Speicher, eine schnellere 
Festplatte und ein schnellerer Prozesser bringen deutlich sp
rbare 
Geschwindigkeitsverbesserungen.
Begriffsglossar
Die Terminologie unter Windows ist eine andere als unter DOS. Daher
haben sich einige Ihnen bekannte Begriffe ge
ndert. Die folgende 
Zusammenstellung zeigt die Unterschiede:
1.  Unterteilung  Gruppe (Windows)
Mit dem Befehl UNTERTEILUNG und DETAIL konnten Sie bei der 
Reportausgabe Gruppen und Gruppenwechsel aufbauen. Diese Option wird 
im Report-Generator nun Gruppe genannt.
2.  Fixfelder  Feste Dateneingabe (Windows)
Die Fixfelder erm
glichen in der DOS-Version die Eingabe von Daten, ohne
die Felder zu 
berschreiben.
3.  Lokale Suche (ALT+S)  Suchen (Windows)
In der askSam-Version 5.1 erm
glicht die lokale Suche die Recherche nach
einem Begriff innerhalb eines Dokumentes. In der Windows-Version w
Sie den Men
punkt BEARBEITEN -> SUCHEN.
4.  Programme  Reports (Windows)
Die Programme, die zur Ausgabe von Listen und Reports in der DOS-Version
geschrieben wurden, werden in der Windows-Version nicht mehr ben
tigt.
Report-Generator 
bernimmt diese Aufgabe. Sie k
nnen nun ganz
einfach auch komplexe Reports ohne Kenntnis irgenwelcher Befehle
erstellen.
5.  Datens
tze  Dokumente (Windows)
In der DOS-Version wird eine Informationseinheit mit max. 20 Zeilen als
ein Datensatz gewertet. In askSam f
r Windows existiert diese Grenze
nicht mehr. Jede Informationseinheit wird als Dokument bezeichnet und
kann bis zu 16.000 Zeilen umfassen. Die Unterscheidung zwischen
Datensatz, Dokument und Flie
text ist weggefallen
6.  Kopieren einer Datei  Mit Schablonendatei erstellen
In der DOS-Version konnten Sie eine neue Datei erstellen, die alle
Programme und Men
s der momentan aktiven Datei 
bernahm. In der
Windows-Version gibt es eine 
hnliche Funktion. Bei der Neuanlage einer
Datei k
nnen Sie 
ber die Option "Schablonendatei" eine neue Datei auf
Basis einer bestehenden erstellen. Dabei wird die Eingabemaske sowie
alle definierten Reports 
bernommen. askSam f
r Windows wird bereits mit 
einigen vorgefertigten Schablonendateien ausgeliefert. Lesen Sie hierzu auch 
die Datei README.ASK.
7.  Eingabeschablone  Eingabemaske (Windows)
In der DOS-Version konnten Sie 10 verschiedene Eingabeschablonen mit
jeweils 20 Zeilen anlegen. In der Windows-Version verf
gen Sie 
ber eine
Eingabemaske, die bis zu 16.000 Zeilen lang sein kann.
Wingdings
Arial
System
"Das"
MS Sans Serif
angeschlossen. Das"
askSam0000
StdFileEditing 
PBrush
0 0 235 234
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""
""""""""/
""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""
""""""
""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""
"""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""
"""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""/
"""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""/
""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""/
""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""
"""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""/
""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""
""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""
""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""
""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""/
"""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""
"""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""
"""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""/
""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""
"""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""/
""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""/
"""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""
""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""
""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""/
//""/
""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""/
""""""""""
""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""/
""""""""""""
"""""/
"""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""/
"""""""""""""""""""/
"""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""/
"""""""""""/
"""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""/
""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
"""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""
"""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""
"""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""
"""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""
""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""/
""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""/
""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""
"""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""
"""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""
""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""/
"""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""
"""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""/
"""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""/
"""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""/
""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""
""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""/
""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
"""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
"""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
"""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""
"""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""/
""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""/
""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""/
""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""/
""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""
""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""
"""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""/
"""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""/
"""/""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""/
""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""
""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""
""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""/
"""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""/
"""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
"""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""/
